# create an Ag:Cu impurity embedding with aiida-kkr
host_crystal = submit(kkr_scf_wc,
  voronoi=Code.get_from_string(’voronoi@localhost’),
  kkr=Code.get_from_string(’kkrhost@mycluster’),
  calc_parameters=Dict(dict={’LMAX’: 2,
                             ’NSPIN’: 1,
                             ’RMAX’: 7.,
                             ’GMAX’: 65.}),
  structure=Cu_bulk_structure)

impurity_embedding = submit(kkr_imp_wc,
  impurity_info=Dict(dict={’ilayer_center’: 0,
                           ’Zimp’: 47,
                           ’Rcut’: 2.0}),
  voronoi=Code.get_from_string(’voronoi@localhost’),
  kkr=Code.get_from_string(’kkrhost@mycluster’),
  kkrimp=Code.get_from_string(’kkrimp@mycluster’),
  remote_data_host=host_crystal.outputs.lastRemoteData)
