# Examples for using aiida_jutools modules code and computer

import aiida_jutools as jutools

# Example 1: Manage computer options.

optman = jutools.computer.ComputerOptionsManager()
optman.initialize()

# load or create the most sensible default options for cluster iffslurm
# at this moment
options = optman.iffslurm.get_options()[0]

# {'withmpi': True,
#  'resources': {'num_machines': 1, 'tot_num_mpiprocs': 64},
#  'queue_name': 'th1-2020-64',
#  'max_wallclock_seconds': 86400} 

# load or create arbitrarily specific options
options= optman.iffslurm.get_options(queue_name='oscar',
                                     scheduler_stderr='stderr.txt', 
                                     resources={'num_machines':4})[0]

# show me all allowed fields for the claix cluster
optman.claix18.get_help()


# Example 2: Fetch codes.

# Give me the least occupied queue on the cluster right now
computer = Computer.get('iffslurm')
queue_name = jutools.computer.get_least_occupied_queue(computer)

# 'th1-2020-64'

# Give me a code compiled for the queue's architecture
code = jutools.code.get_code(computer_name_pattern='fslur', 
                             code_name_pattern='leur', 
                             queue_name=queue_name)

# <Code: Remote code 'fleur_MaXR5_AMD' on iffslurm>

# Give me sensible default options for that queue
options = optman.get_options(queue_name=queue_name)[0]
